net.sf.jasperreports.components.table

## Class StandardBaseColumn

- java.lang.Object
- - net.sf.jasperreports.components.table.StandardBaseColumn

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, BaseColumn, JRChangeEventsSupport, JRCloneable, JRIdentifiable, JRPropertiesHolder
  Direct Known Subclasses:
    StandardColumn, StandardColumnGroup

      public abstract class StandardBaseColumn
      extends java.lang.Object
      implements BaseColumn, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: StandardBaseColumn.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLUMN_FOOTER`
    `static java.lang.String` | `PROPERTY_COLUMN_HEADER`
    `static java.lang.String` | `PROPERTY_GROUP_FOOTERS`
    `static java.lang.String` | `PROPERTY_GROUP_HEADERS`
    `static java.lang.String` | `PROPERTY_PRINT_WHEN_EXPRESSION`
    `static java.lang.String` | `PROPERTY_TABLE_FOOTER`
    `static java.lang.String` | `PROPERTY_TABLE_HEADER`
    `static java.lang.String` | `PROPERTY_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardBaseColumn()`
    `StandardBaseColumn(BaseColumn column, ColumnFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroupFooter(GroupCell groupCell)`
    `void` | `addGroupHeader(GroupCell groupCell)`
    `void` | `addPropertyExpression(JRPropertyExpression propertyExpression)` Add a dynamic/expression-based property.
    `java.lang.Object` | `clone()`
    `protected int` | `findGroupCellIndex(java.util.List<GroupCell> groupCells, java.lang.String groupName)`
    `Cell` | `getColumnFooter()`
    `Cell` | `getColumnHeader()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `Cell` | `getGroupFooter(java.lang.String groupName)`
    `java.util.List<GroupCell>` | `getGroupFooters()`
    `Cell` | `getGroupHeader(java.lang.String groupName)`
    `java.util.List<GroupCell>` | `getGroupHeaders()`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRExpression` | `getPrintWhenExpression()`
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `JRPropertyExpression[]` | `getPropertyExpressions()`
    `java.util.List<JRPropertyExpression>` | `getPropertyExpressionsList()` Returns the list of property expressions.
    `Cell` | `getTableFooter()`
    `Cell` | `getTableHeader()`
    `java.util.UUID` | `getUUID()`
    `java.lang.Integer` | `getWidth()`
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `boolean` | `removeGroupFooter(GroupCell groupCell)`
    `boolean` | `removeGroupHeader(GroupCell groupCell)`
    `void` | `removePropertyExpression(JRPropertyExpression propertyExpression)` Remove a property expression.
    `JRPropertyExpression` | `removePropertyExpression(java.lang.String name)` Remove a property expression.
    `void` | `setColumnFooter(Cell header)`
    `void` | `setColumnHeader(Cell header)`
    `void` | `setGroupFooter(java.lang.String groupName, Cell cell)`
    `void` | `setGroupFooters(java.util.List<GroupCell> groupFooters)`
    `void` | `setGroupHeader(java.lang.String groupName, Cell cell)`
    `void` | `setGroupHeaders(java.util.List<GroupCell> groupHeaders)`
    `void` | `setPrintWhenExpression(JRExpression printWhenExpression)`
    `void` | `setTableFooter(Cell tableFooter)`
    `void` | `setTableHeader(Cell tableHeader)`
    `void` | `setUUID(java.util.UUID uuid)`
    `void` | `setWidth(java.lang.Integer width)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.components.table.BaseColumn

      `visitColumn`

- - ### Field Detail

    - #### PROPERTY_PRINT_WHEN_EXPRESSION

          public static final java.lang.String PROPERTY_PRINT_WHEN_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_TABLE_HEADER

          public static final java.lang.String PROPERTY_TABLE_HEADER

      See Also:
        Constant Field Values

    - #### PROPERTY_TABLE_FOOTER

          public static final java.lang.String PROPERTY_TABLE_FOOTER

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_HEADER

          public static final java.lang.String PROPERTY_COLUMN_HEADER

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_FOOTER

          public static final java.lang.String PROPERTY_COLUMN_FOOTER

      See Also:
        Constant Field Values

    - #### PROPERTY_GROUP_HEADERS

          public static final java.lang.String PROPERTY_GROUP_HEADERS

      See Also:
        Constant Field Values

    - #### PROPERTY_GROUP_FOOTERS

          public static final java.lang.String PROPERTY_GROUP_FOOTERS

      See Also:
        Constant Field Values

    - #### PROPERTY_WIDTH

          public static final java.lang.String PROPERTY_WIDTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardBaseColumn

          public StandardBaseColumn()

    - #### StandardBaseColumn

          public StandardBaseColumn(BaseColumn column,
                            ColumnFactory factory)

  - ### Method Detail

    - #### getUUID

          public java.util.UUID getUUID()

      Specified by:
        `getUUID` in interface `JRIdentifiable`

    - #### setUUID

          public void setUUID(java.util.UUID uuid)

    - #### getColumnHeader

          public Cell getColumnHeader()

      Specified by:
        `getColumnHeader` in interface `BaseColumn`

    - #### getColumnFooter

          public Cell getColumnFooter()

      Specified by:
        `getColumnFooter` in interface `BaseColumn`

    - #### getPrintWhenExpression

          public JRExpression getPrintWhenExpression()

      Specified by:
        `getPrintWhenExpression` in interface `BaseColumn`

    - #### setPrintWhenExpression

          public void setPrintWhenExpression(JRExpression printWhenExpression)

    - #### setColumnHeader

          public void setColumnHeader(Cell header)

    - #### setColumnFooter

          public void setColumnFooter(Cell header)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getTableHeader

          public Cell getTableHeader()

      Specified by:
        `getTableHeader` in interface `BaseColumn`

    - #### setTableHeader

          public void setTableHeader(Cell tableHeader)

    - #### getTableFooter

          public Cell getTableFooter()

      Specified by:
        `getTableFooter` in interface `BaseColumn`

    - #### setTableFooter

          public void setTableFooter(Cell tableFooter)

    - #### getWidth

          public java.lang.Integer getWidth()

      Specified by:
        `getWidth` in interface `BaseColumn`

    - #### setWidth

          public void setWidth(java.lang.Integer width)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### getGroupHeaders

          public java.util.List<GroupCell> getGroupHeaders()

      Specified by:
        `getGroupHeaders` in interface `BaseColumn`

    - #### getGroupFooters

          public java.util.List<GroupCell> getGroupFooters()

      Specified by:
        `getGroupFooters` in interface `BaseColumn`

    - #### findGroupCellIndex

          protected int findGroupCellIndex(java.util.List<GroupCell> groupCells,
                               java.lang.String groupName)

    - #### getGroupFooter

          public Cell getGroupFooter(java.lang.String groupName)

      Specified by:
        `getGroupFooter` in interface `BaseColumn`

    - #### getGroupHeader

          public Cell getGroupHeader(java.lang.String groupName)

      Specified by:
        `getGroupHeader` in interface `BaseColumn`

    - #### setGroupHeaders

          public void setGroupHeaders(java.util.List<GroupCell> groupHeaders)

    - #### setGroupFooters

          public void setGroupFooters(java.util.List<GroupCell> groupFooters)

    - #### addGroupHeader

          public void addGroupHeader(GroupCell groupCell)

    - #### addGroupFooter

          public void addGroupFooter(GroupCell groupCell)

    - #### removeGroupFooter

          public boolean removeGroupFooter(GroupCell groupCell)

    - #### removeGroupHeader

          public boolean removeGroupHeader(GroupCell groupCell)

    - #### setGroupFooter

          public void setGroupFooter(java.lang.String groupName,
                            Cell cell)

    - #### setGroupHeader

          public void setGroupHeader(java.lang.String groupName,
                            Cell cell)

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### getPropertyExpressions

          public JRPropertyExpression[] getPropertyExpressions()

      Specified by:
        `getPropertyExpressions` in interface `BaseColumn`

    - #### addPropertyExpression

          public void addPropertyExpression(JRPropertyExpression propertyExpression)

      Add a dynamic/expression-based property.
      Parameters:
        `propertyExpression` - the property to add
      See Also:
        `getPropertyExpressions()`

    - #### removePropertyExpression

          public void removePropertyExpression(JRPropertyExpression propertyExpression)

      Remove a property expression.
      Parameters:
        `propertyExpression` - the property expression to remove
      See Also:
        `addPropertyExpression(JRPropertyExpression)`

    - #### removePropertyExpression

          public JRPropertyExpression removePropertyExpression(java.lang.String name)

      Remove a property expression.
      Parameters:
        `name` - the name of the property to remove
      Returns:
        the removed property expression (if found)

    - #### getPropertyExpressionsList

          public java.util.List<JRPropertyExpression> getPropertyExpressionsList()

      Returns the list of property expressions.
      Returns:
        the list of property expressions (`JRPropertyExpression` instances)
      See Also:
        `addPropertyExpression(JRPropertyExpression)`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com